DatabaseMetaDataJDBC3Test (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.jdbc

## Class DatabaseMetaDataJDBC3Test

- java.lang.Object
- - TestCase
  - - net.sourceforge.jtds.jdbc.TestBase
    - - net.sourceforge.jtds.jdbc.DatabaseTestCase
      - - net.sourceforge.jtds.jdbc.MetaDataTestCase
        - - net.sourceforge.jtds.jdbc.DatabaseMetaDataJDBC3Test

-     public class DatabaseMetaDataJDBC3Test
      extends MetaDataTestCase

  Test JDBC3 extensions to `DatabaseMetaData`.
  Version:
    $Id: DatabaseMetaDataJDBC3Test.java,v 1.2 2005-01-05 12:24:14 alin_sinpalean Exp $

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.jtds.jdbc.TestBase

      `con, props`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatabaseMetaDataJDBC3Test(java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `void` | `testBooleanOptions()` Test meta data functions that return boolean values.
    `void` | `testIntOptions()` Test meta data function that return integer values.
    `void` | `testResultSets()` Test meta data functions that return result sets.

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.MetaDataTestCase

      `checkColumnNames`

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.DatabaseTestCase

      `compareBytes, getLongString, getLongString, getType, getTypemap`

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.TestBase

      `compareInputStreams, compareReaders, connect, dropDatabase, dropFunction, dropProcedure, dropTable, dropTrigger, dropType, dropView, dump, dump, dumpAll, dumpKeys, dumpRow, dumpRow, getConnection, getConnection, makeObjects, makeTestTables, setUp, tearDown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DatabaseMetaDataJDBC3Test

          public DatabaseMetaDataJDBC3Test(java.lang.String name)

  - ### Method Detail

    - #### testBooleanOptions

          public void testBooleanOptions()
                                  throws java.lang.Exception

      Test meta data functions that return boolean values.
      Throws:
        `java.lang.Exception`

    - #### testIntOptions

          public void testIntOptions()
                              throws java.lang.Exception

      Test meta data function that return integer values.
      Throws:
        `java.lang.Exception`

    - #### testResultSets

          public void testResultSets()
                              throws java.lang.Exception

      Test meta data functions that return result sets.
      Throws:
        `java.lang.Exception`

    - #### main

          public static void main(java.lang.String[] args)

Generated on June 8 2013